Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.auth
Class IdentityLoginModule

    java.lang.Object
      org.jboss.security.auth.spi.AbstractServerLoginModule
          org.jboss.security.auth.spi.UsernamePasswordLoginModule
              org.jboss.portal.identity.auth.IdentityLoginModule

All Implemented Interfaces:
  javax.security.auth.spi.LoginModule

    public class IdentityLoginModule

extends org.jboss.security.auth.spi.UsernamePasswordLoginModule

A login module that uses the user module.

Version:
  $Revision: 6803 $
Author:
  Julien Viet, Thomas Heute, Sohil Shah, Boleslaw Dawidowicz

Field Summary
`protected java.lang.String` | `additionalRole`
`protected java.lang.String` | `havingRole`
`protected java.lang.String` | `membershipModuleJNDIName`
`protected java.lang.String` | `roleModuleJNDIName`
`protected java.lang.String` | `userModuleJNDIName`
`protected java.lang.String` | `userNameToLowerCase`
`protected java.lang.String` | `userProfileModuleJNDIName`
`protected java.lang.String` | `validateUserNameCase`

Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`callbackHandler, log, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

Constructor Summary
`IdentityLoginModule()`

Method Summary
`protected java.security.Principal` | `createIdentity(java.lang.String username)` Subclass to use the PortalPrincipal to make the username easier to retrieve by the portal.
`protected MembershipModule` | `getMembershipModule()`
`protected RoleModule` | `getRoleModule()`
`protected java.security.acl.Group[]` | `getRoleSets()`
`protected UserModule` | `getUserModule()`
`protected java.lang.String` | `getUsername()`
`protected java.lang.String[]` | `getUsernameAndPassword()`
`protected UserProfileModule` | `getUserProfileModule()`
`protected java.lang.String` | `getUsersPassword()`
`protected UserStatus` | `getUserStatus(java.lang.String inputPassword)`
`void` | `initialize(javax.security.auth.Subject subject, javax.security.auth.callback.CallbackHandler callbackHandler, java.util.Map sharedState, java.util.Map options)`
`protected boolean` | `validatePassword(java.lang.String inputPassword, java.lang.String expectedPassword)`

Methods inherited from class org.jboss.security.auth.spi.UsernamePasswordLoginModule
`createPasswordHash, getCredentials, getIdentity, getUnauthenticatedIdentity, getValidateError, login, setValidateError`

Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`abort, commit, createGroup, getUseFirstPass, logout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userModuleJNDIName

    protected java.lang.String userModuleJNDIName

### roleModuleJNDIName

    protected java.lang.String roleModuleJNDIName

### userProfileModuleJNDIName

    protected java.lang.String userProfileModuleJNDIName

### membershipModuleJNDIName

    protected java.lang.String membershipModuleJNDIName

### additionalRole

    protected java.lang.String additionalRole

### havingRole

    protected java.lang.String havingRole

### validateUserNameCase

    protected java.lang.String validateUserNameCase

### userNameToLowerCase

    protected java.lang.String userNameToLowerCase

Constructor Detail

### IdentityLoginModule

    public IdentityLoginModule()

Method Detail

### initialize

    public void initialize(javax.security.auth.Subject subject,
                           javax.security.auth.callback.CallbackHandler callbackHandler,
                           java.util.Map sharedState,
                           java.util.Map options)

  Specified by:
    `initialize` in interface `javax.security.auth.spi.LoginModule`
  Overrides:
    `initialize` in class `org.jboss.security.auth.spi.UsernamePasswordLoginModule`

### getUserModule

    protected UserModule getUserModule()
                                throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getRoleModule

    protected RoleModule getRoleModule()
                                throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getUserProfileModule

    protected UserProfileModule getUserProfileModule()
                                              throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getMembershipModule

    protected MembershipModule getMembershipModule()
                                            throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getUsersPassword

    protected java.lang.String getUsersPassword()
                                         throws javax.security.auth.login.LoginException

  Specified by:
    `getUsersPassword` in class `org.jboss.security.auth.spi.UsernamePasswordLoginModule`
  Throws:
    `javax.security.auth.login.LoginException`

### validatePassword

    protected boolean validatePassword(java.lang.String inputPassword,
                                       java.lang.String expectedPassword)

  Overrides:
    `validatePassword` in class `org.jboss.security.auth.spi.UsernamePasswordLoginModule`

### getUserStatus

    protected UserStatus getUserStatus(java.lang.String inputPassword)

### getRoleSets

    protected java.security.acl.Group[] getRoleSets()
                                             throws javax.security.auth.login.LoginException

  Specified by:
    `getRoleSets` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
  Throws:
    `javax.security.auth.login.LoginException`

### createIdentity

    protected java.security.Principal createIdentity(java.lang.String username)
                                              throws java.lang.Exception

  Subclass to use the PortalPrincipal to make the username easier to retrieve by the portal.

  Overrides:
    `createIdentity` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
  Throws:
    `java.lang.Exception`

### getUsername

    protected java.lang.String getUsername()

  Overrides:
    `getUsername` in class `org.jboss.security.auth.spi.UsernamePasswordLoginModule`

### getUsernameAndPassword

    protected java.lang.String[] getUsernameAndPassword()
                                                 throws javax.security.auth.login.LoginException

  Overrides:
    `getUsernameAndPassword` in class `org.jboss.security.auth.spi.UsernamePasswordLoginModule`
  Throws:
    `javax.security.auth.login.LoginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD